<!DOCTYPE html>
<html>

<head>

<meta charset="utf-8" />
<title>directive</title>

<link rel="stylesheet" href="../../style.css" type="text/css" />

<link rel="stylesheet" href="../../navbar.css" type="text/css" />


<link rel="stylesheet" href="../../local.css" type="text/css" />






<meta name="robots" content="noindex, follow" />



</head>
<body>

<article class="page">

<section class="pageheader">
<header class="header" style="width: 100%">
<span style="width: 50px; float: left; padding-right: 10px;">
<img src="../../images/logo-debian.png" width="50" height="61">
</span>
<span style="float: right; width: 147px; padding-left: 10px;">
<a href="http://lca2015.linux.org.au"><img src="../../images/logo-lca2015.png" style="padding-right: 10px;"></a>
</span>
<span style="float: left;">
<span class="parentlinks">


<a href="../../">LCA2015 Debian Miniconf & NZ2015 mini-DebConf</a>/ 

<a href="../">ikiwiki</a>/ 


</span>
<span class="title">
directive

</span>
</span>



</header>









</section>



<aside class="sidebar">


<div><div class="calendar"><table class="month-calendar">
    <tr>
    <th class="month-calendar-arrow"></th>
    <th class="month-calendar-head" colspan="5">February 2015</th>
    <th class="month-calendar-arrow"></th>
    </tr>
    <tr>
        <th class="month-calendar-day-head Sunday" title="Sunday">S</th>
        <th class="month-calendar-day-head Monday" title="Monday">M</th>
        <th class="month-calendar-day-head Tuesday" title="Tuesday">T</th>
        <th class="month-calendar-day-head Wednesday" title="Wednesday">W</th>
        <th class="month-calendar-day-head Thursday" title="Thursday">T</th>
        <th class="month-calendar-day-head Friday" title="Friday">F</th>
        <th class="month-calendar-day-head Saturday" title="Saturday">S</th>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">1</td>
        <td class="month-calendar-day-nolink Monday">2</td>
        <td class="month-calendar-day-nolink Tuesday">3</td>
        <td class="month-calendar-day-nolink Wednesday">4</td>
        <td class="month-calendar-day-nolink Thursday">5</td>
        <td class="month-calendar-day-nolink Friday">6</td>
        <td class="month-calendar-day-nolink Saturday">7</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">8</td>
        <td class="month-calendar-day-nolink Monday">9</td>
        <td class="month-calendar-day-nolink Tuesday">10</td>
        <td class="month-calendar-day-nolink Wednesday">11</td>
        <td class="month-calendar-day-nolink Thursday">12</td>
        <td class="month-calendar-day-this-day Friday"><div class="popup">13<div class="balloon"><ul>
            <li><a href="../../posts/Slides/" title="Slides">Slides</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-future Saturday">14</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">15</td>
        <td class="month-calendar-day-nolink Monday">16</td>
        <td class="month-calendar-day-nolink Tuesday">17</td>
        <td class="month-calendar-day-nolink Wednesday">18</td>
        <td class="month-calendar-day-nolink Thursday">19</td>
        <td class="month-calendar-day-nolink Friday">20</td>
        <td class="month-calendar-day-nolink Saturday">21</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">22</td>
        <td class="month-calendar-day-nolink Monday">23</td>
        <td class="month-calendar-day-nolink Tuesday">24</td>
        <td class="month-calendar-day-nolink Wednesday">25</td>
        <td class="month-calendar-day-nolink Thursday">26</td>
        <td class="month-calendar-day-nolink Friday">27</td>
        <td class="month-calendar-day-nolink Saturday">28</td>
    </tr>
</table>
</div></div>


<p><a href="../../archives/">Archives</a></p>

<p><a href="../../tags/">Tags</a>:</p>

<ul class="list">
</ul>




</aside>



<nav id="navbar">
<!-- The navbar -->
<div class="navbar">



<div class="tabs">
 <ul>
  <li><a href="../../"><span>Home</span></a></li>
  <li><a href="../../About_Us/"><span>About Us</span></a></li>
  <li><a href="../../Programme/"><span>Programme</span></a></li>
  <li><a href="../../Accommodation/"><span>Accommodation</span></a></li>
  <li><a href="../../Call_for_Presentations/"><span>CFP</span></a></li>
  <li><a href="../../posts/"><span>Blog</span></a></li>
 </ul>
</div>

</div>
<span class="endNavbar"></span>
<!-- end of navbar -->

<section id="sponsors">
<h1>Sponsors</h2>
<a href="http://www.catalyst.net.nz"><img alt="Catalyst Logo" src="../../images/CatalystLogoWithTagline_130w.png" width="130" height="65"></a>
</section>
</nav>


<div id="pagebody">

<section id="content" role="main">
<p>Directives are similar to a <a href="../wikilink/">WikiLink</a> in form, except they
begin with <code>!</code> and may contain parameters. The general form is:</p>

<pre><code>[[!directive  param="value" param="value"]]
</code></pre>

<p>This gets expanded before the rest of the page is processed, and can be used
to transform the page in various ways.</p>

<p>The quotes around values can be omitted if the value is a simple word.
Also, some directives may use parameters without values, for example:</p>

<pre><code>[[!tag  foo]]
</code></pre>

<p>A directive does not need to all be on one line, it can be
wrapped to multiple lines if you like:</p>

<pre><code>[[!directive  foo="baldersnatch"
bar="supercalifragilisticexpialidocious" baz=11]]
</code></pre>

<p>Also, multiple lines of <em>quoted</em> text can be used for a value.
To allow quote marks inside the quoted text, delimit the block
of text with triple-double-quotes or triple-single-quotes:</p>

<pre><code>[[!directive  text="""
1. "foo"
2. "bar"
3. "baz"
""" othertext='''
1. 'quux'
2. "foo"
''']]
</code></pre>

<p>If you want to put text with triple quotes into a parameter value, you can
use perl-style here-doc syntax, even nesting it like this:</p>

<pre><code>[[!directive  text=&lt;&lt;OUTER
[[!otherdirective &lt;&lt;INNER
inner text
INNER]]
outer text
OUTER]]
</code></pre>

<p>ikiwiki also has an older syntax for directives, which requires a space in
directives to distinguish them from <a href="../wikilink/">wikilinks</a>. This
syntax has several disadvantages: it requires a space after directives with
no parameters (such as <code>[[pagecount ]]</code>), and it prohibits spaces in
<a href="../wikilink/">wikilinks</a>.  ikiwiki now provides the <code>!</code>-prefixed
syntax shown above as default.  However, ikiwiki still supports wikis using
the older syntax, if the <code>prefix_directives</code> option is disabled.</p>

</section>







</div>

<footer id="footer" class="pagefooter" role="contentinfo">

<nav id="pageinfo">






<nav id="backlinks">
Links:

<a href="../formatting/">formatting</a>

<a href="../">ikiwiki</a>

<a href="../markdown/">markdown</a>

<a href="../pagespec/sorting/">pagespec/sorting</a>

<a href="../../shortcuts/">shortcuts</a>


</nav>






<div class="pagedate">
Last edited <time datetime="2014-09-12T20:23:58Z">Sat 13 Sep 2014 08:23:58 NZST</time>
<!-- Created <time datetime="2014-10-16T11:21:17Z" pubdate="pubdate">Fri 17 Oct 2014 00:21:17 NZDT</time> -->
</div>

</nav>


<!-- from LCA2015 Debian Miniconf & NZ2015 mini-DebConf -->
</footer>

</article>

</body>
</html>
